MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::OneBodyOneCenterInt Class Reference

OneBodyOneCenterInt is an abstract base class for objects that compute integrals between two basis functions. More...

`#include <obint.h>`

Inheritance diagram for sc::OneBodyOneCenterInt:

List of all members.

## Public Member Functions

int | nbasis () const
| Returns the number of basis functions on center one.
int | nbasis1 () const
| Returns the number of basis functions on the center one.
int | nshell () const
| Return the number of shells on center one.
int | nshell1 () const
| Return the number of shells on the center one.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis1 ()
| Return the basis set on the center one.
const double * | buffer () const
| Returns the buffer where the integrals are placed.
virtual void | compute_shell (int)=0
| Computes the integrals for basis functions on the given shell.
virtual void | reinitialize ()
| This is called for one body integrals that take data to let them know that the data they reference has changed.
virtual bool | cloneable ()
| Return true if the clone member can be called.
virtual Ref< OneBodyOneCenterInt > | clone ()
| Returns a clone of this.
Integral * | integral () const

## Protected Member Functions

| OneBodyOneCenterInt (Integral *integral, const Ref< GaussianBasisSet > &b1)

## Protected Attributes

Integral * | integral_
Ref< GaussianBasisSet > | bs1_
double * | buffer_

## Detailed Description

OneBodyOneCenterInt is an abstract base class for objects that compute integrals between two basis functions.

## Member Function Documentation

virtual Ref<OneBodyOneCenterInt> sc::OneBodyOneCenterInt::clone | ( |  | ) | `[virtual]`

Returns a clone of this.

The default implementation throws an exception.

virtual bool sc::OneBodyOneCenterInt::cloneable | ( |  | ) | `[virtual]`

Return true if the clone member can be called.

The default implementation returns false.

virtual void sc::OneBodyOneCenterInt::compute_shell | ( | int |  | ) | `[pure virtual]`

Computes the integrals for basis functions on the given shell.

Implemented in sc::OneBodyOneCenterWrapper.

virtual void sc::OneBodyOneCenterInt::reinitialize | ( |  | ) | `[virtual]`

This is called for one body integrals that take data to let them know that the data they reference has changed.

The documentation for this class was generated from the following file:

- obint.h